package icsDyn;

/**
 * This class models a behavior 
 * @author Rick Rivello
 *
 */
public class BehaviourNode extends DIMMOC {

   public BehaviourNode() {}
	  
   public BehaviourNode(BehaviourNode bn) {

      this();

      method_name            = bn.getMethodName();
      method_id              = bn.getMethodId();
      behav_keynum           = bn.getBehaviourKeyNumber();
      behav_action_parameter = bn.getBehaviourActionParameter();
      behav_action_result    = bn.getBehaviourActionResult();
      behav_termcode         = bn.getBehaviourTermCode();
      behav_ref              = bn.getBehaviourReference();
      behav_qual             = bn.getBehaviourQual();
      behav_status           = bn.getBehaviourStatus();
      behav_restrictions     = bn.getBehaviourRestrictions();
      behav_comment          = bn.getBehaviourComment();
   }
   public String toString() {
      return method_name;
   }
}
